(function(){
	var TRANSLATION = {
		"play_more_playtouch_games":{
			"deu": "Spielen Sie mehr Spiele von Playtouch?",
			"eng": "Play more Playtouch games ?",
			"spa": "¿Juega más juegos de Playtouch?",
			"fra": "Jouer à plus de jeux Playtouch?",
			"ita": "Gioca di più ai giochi di Playtouch?",
			"kor": "Playtouch의 게임을 더 많이 플레이 하시겠습니까?",
			"por": "Jogar mais jogos de Playtouch?",
			"tur": "Daha fazla Playtouch oyunları oyna?",
			"afr": "Speel meer Playtouch se speletjies?",
			"msa": "Mainkan lebih banyak permainan Playtouch?",
			"nld": "Speel meer Playtouch's games?",
			"rus": "Играть больше игр Playtouch?",
			"vie": "Chơi nhiều trò chơi của Playtouch hơn?",
			"zho": "玩更多Playtouch的游戏？",
			"zh2": "玩更多Playtouch的遊戲？",
			"ara": "العب المزيد من ألعاب Playtouch؟",
			"hin": "Playtouch के खेल और खेलें?",
			"ind": "Mainkan lebih banyak game Playtouch?",
			"jpn": "Playtouchのゲームをもっとやってみませんか？",
			"tha": "เล่นเกม Playtouch เพิ่มเติมหรือไม่?",
		},
		"yes":{
			"deu": "JA",
			"eng": "YES",
			"spa": "SÍ",
			"fra": "OUI",
			"ita": "SI",
			"kor": "예",
			"por": "SIM",
			"tur": "EVET",
			"afr": "JA",
			"msa": "YA",
			"nld": "JA",
			"rus": "ДА",
			"vie": "VÂNG",
			"zho": "是",
			"zh2": "是",
			"ara": "نــعــم",
			"hin": "हाँ",
			"ind": "IYA NIH",
			"jpn": "はい",
			"tha": "ใช่",
		},
		"no":{
			"deu": "NEIN",
			"eng": "NO",
			"spa": "NO",
			"fra": "NON",
			"ita": "NO",
			"kor": "아니요",
			"por": "NÃO",
			"tur": "HAYIR",
			"afr": "GEEN",
			"msa": "TIDAK",
			"nld": "NEE",
			"rus": "НЕТ",
			"vie": "TIDAK",
			"zho": "否",
			"zh2": "否",
			"ara": "كلا",
			"hin": "नहीं",
			"ind": "TIDAK",
			"jpn": "いいえ",
			"tha": "ไม่ใช่",
		}
	};
	function makeChangeToMG(){
		if(typeof(showMG) !== "function"){return;}
		console.log("finded");
		if(typeof(oldShowMG) !== "function"){window.oldShowMG = showMG;}
		showMG = function(lang){
			var actualLanguage = "eng";
			if(c2_callFunction("getGameInfo") != 0){
				actualLanguage = lang || isoLang.getGoodLanguage(JSON.parse(c2_callFunction("getGameInfo")).supportedLanguages);
			}else{
				actualLanguage = langExistInTranslation(isoLang.getFirstLanguage(), "eng");
			}
			navigator.notification.confirm(
				TRANSLATION["play_more_playtouch_games"][actualLanguage],
				function(buttonId){
					window.saveAdNb = 0;
					if(buttonId == 1){
						window.oldShowMG.apply(window,arguments);
					}
				},
				"",
				[TRANSLATION["yes"][actualLanguage],TRANSLATION["no"][actualLanguage]]
			);
		}
	}

	function langExistInTranslation(language,defaultLang){
		for(var i in TRANSLATION.yes){
			if(i === language){
				return language;
			}
		}
		return defaultLang;
	}

	(function checkIfShowMgExist(){
		if(typeof(showMG) !== "function"){
			setTimeout(checkIfShowMgExist,100);
		}else{
			makeChangeToMG();
		}
	})();

}());